curl --request GET \
--url https://api.uselotus.io/api/subscriptions/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.uselotus.io/api/subscriptions/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.uselotus.io/api/subscriptions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"subscription_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"auto_renew": true,
"is_new": true,
"subscription_filters": [
{
"value": "<string>",
"property_name": "<string>"
}
],
"customer": {
"customer_name": "<string>",
"email": "jsmith@example.com",
"customer_id": "<string>"
},
"billing_plan": {
"plan_name": "<string>",
"plan_id": "<string>",
"version_id": "<string>",
"version": 123
},
"fully_billed": true,
"addons": [
{
"addon_subscription_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"addon": {
"addon_name": "<string>",
"addon_id": "<string>",
"addon_type": "flat",
"billing_frequency": "one_time"
},
"fully_billed": true
}
],
"metadata": {}
}
]List subscriptions
subscription objects.
lotus.list_subscriptions(customer_id="cust_id")
await lotus.listSubscriptions({ customerId: "cust_id" });
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Filter to a specific customer.
1Filter to a specific plan.
If specified, will only return subscriptions with a start date before this date.
If specified, will only return subscriptions with an end date after this date.
Filter to a specific set of subscription statuses. Defaults to active.
active- Activeended- Endednot_started- Not Started
active, ended, not_started Filter to a specific set of subscription filters. If your billing model only allows for one subscription per customer, you very likely do not need this field. Must be formatted as a JSON-encoded + stringified list of dictionaries, where each dictionary has a key of 'property_name' and a key of 'value'.
Show child attributes
Show child attributes
Response
The time the subscription starts. This will be a string in yyyy-mm-dd HH:mm:ss format in UTC time.
The time the subscription starts. This will be a string in yyyy-mm-dd HH:mm:ss format in UTC time.
Whether the subscription automatically renews. Defaults to true.
Whether this subscription came from a renewal or from a first-time. Defaults to true on creation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes